Bug 600220 - virt-v2v| fail to convert the ESX guest with snaphost
virt-v2v| fail to convert the ESX guest with snaphost
Status: CLOSED ERRATA
Product: Red Hat Enterprise Linux 5
Classification: Red Hat
Component: virt-v2v (Show other bugs)
5.7
All Linux
high Severity high
: rc
: ---
Assigned To: Matthew Booth
Virtualization Bugs
:
Depends On:
Blocks: 618090 618091
  Show dependency treegraph
 
Reported: 2010-06-04 03:39 EDT by Mohua Li
Modified: 2013-04-30 19:13 EDT (History)
10 users (show)

See Also:
Fixed In Version: 0.6.0-4.el5
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
: 618090 (view as bug list)
Environment:
Last Closed: 2010-06-22 08:48:53 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Mohua Li 2010-06-04 03:39:33 EDT
Description of problem:

in virt-v2v manpage, we found this,

"  virt-v2v can convert a guest from VMware ESX, including transferring its storage.
N.B. virt-v2v does not transfer snapshots from ESX. Only the latest flat storage is transferred."


actually, if we got a snapshot for the guest, the convert fail completely but not just fail to transfer the snapshot storage,

"
[root@dhcp-66-70-148 v2v]# virt-v2v -f /etc/virt-v2v.conf  -ic esx://10.66.65.108/?no_verify=1  -o rhev -osd  10.66.90.115:/vol/v2vrwu/rwuv2v  test-v2v
virt-v2v: Failed to connect to ESX server: 404 Not Found"

after delete the snapshot for the guest, the convert could go on without any error, and also the error message is incorrect, could misleading the user when debug such problem,

btw, the libguestfs_trace=1 is already set above,

the test-v2v configuration as below,

/vmfs/volumes/4bc2a849-50805e00-0f2c-0023ae9d846f/test_v2v # ls -lrt
-rw-r--r--    1 root     root                 13 Jun  4 06:59 test_v2v-aux.xml
-rw-r--r--    1 root     root              65785 Jun  4 06:59 vmware-1.log
-rw-------    1 root     root                263 Jun  4 07:22 test_v2v.vmxf
-rw-------    1 root     root                475 Jun  4 07:22 rhel5u4-local.vmdk
-rw-------    1 root     root        10737418240 Jun  4 07:23 rhel5u4-local-flat.vmdk
-rw-------    1 root     root                455 Jun  4 07:23 test_v2v.vmsd
-rw-------    1 root     root                307 Jun  4 07:23 rhel5u4-local-000001.vmdk
-rw-------    1 root     root          274061823 Jun  4 07:23 test_v2v-Snapshot3.vmsn
-rw-------    1 root     root               8684 Jun  4 07:24 test_v2v.nvram
-rw-------    1 root     root           16799744 Jun  4 07:24 rhel5u4-local-000001-delta.vmdk
-rw-r--r--    1 root     root              64796 Jun  4 07:24 vmware.log
-rwxr-xr-x    1 root     root               2732 Jun  4 07:24 test_v2v.vmx
/vmfs/volumes/4bc2a849-50805e00-0f2c-0023ae9d846f/test_v2v # cat *vmx
.encoding = "UTF-8"
config.version = "8"
virtualHW.version = "7"
pciBridge0.present = "TRUE"
pciBridge4.present = "TRUE"
pciBridge4.virtualDev = "pcieRootPort"
pciBridge4.functions = "8"
pciBridge5.present = "TRUE"
pciBridge5.virtualDev = "pcieRootPort"
pciBridge5.functions = "8"
pciBridge6.present = "TRUE"
pciBridge6.virtualDev = "pcieRootPort"
pciBridge6.functions = "8"
pciBridge7.present = "TRUE"
pciBridge7.virtualDev = "pcieRootPort"
pciBridge7.functions = "8"
vmci0.present = "TRUE"
nvram = "test_v2v.nvram"
deploymentPlatform = "windows"
virtualHW.productCompatibility = "hosted"
unity.customColor = "|23C0C0C0"
tools.upgrade.policy = "useGlobal"
powerType.powerOff = "soft"
powerType.powerOn = "default"
powerType.suspend = "hard"
powerType.reset = "soft"

displayName = "test_v2v"
extendedConfigFile = "test_v2v.vmxf"
floppy0.present = "TRUE"

memsize = "256"
ide1:0.present = "TRUE"
ide1:0.clientDevice = "TRUE"
ide1:0.deviceType = "cdrom-raw"
ide1:0.startConnected = "FALSE"
floppy0.startConnected = "FALSE"
floppy0.clientDevice = "TRUE"
ethernet0.present = "TRUE"
ethernet0.networkName = "VM Network"
ethernet0.addressType = "generated"
guestOSAltName = "Red Hat Enterprise Linux 5 (32-bit)"
guestOS = "rhel5"
uuid.location = "56 4d c5 a4 a6 36 e9 82-57 08 d0 47 0c 4a 9f 22"
uuid.bios = "56 4d c5 a4 a6 36 e9 82-57 08 d0 47 0c 4a 9f 22"
vc.uuid = "52 95 ed f3 00 62 e3 5a-b2 d6 67 c2 3b ec 39 b5"

ethernet0.generatedAddress = "00:0c:29:4a:9f:22"
cleanShutdown = "TRUE"
replay.supported = "TRUE"
sched.swap.derivedName = "/vmfs/volumes/4bc2a849-50805e00-0f2c-0023ae9d846f/test_v2v/test_v2v-788bb95f.vswp"
vmotion.checkpointFBSize = "4194304"
pciBridge0.pciSlotNumber = "17"
pciBridge4.pciSlotNumber = "21"
pciBridge5.pciSlotNumber = "22"
pciBridge6.pciSlotNumber = "23"
pciBridge7.pciSlotNumber = "24"
ethernet0.pciSlotNumber = "32"
vmci0.pciSlotNumber = "33"
ethernet0.generatedAddressOffset = "0"
vmci0.id = "206216994"
hostCPUID.0 = "0000000d756e65476c65746e49656e69"
guestCPUID.0 = "0000000d756e65476c65746e49656e69"
userCPUID.0 = "0000000d756e65476c65746e49656e69"
hostCPUID.1 = "0001067a000408000408e3fdbfebfbff"
guestCPUID.1 = "0001067a00010800800822010febfbff"
userCPUID.1 = "0001067a00040800000822010febfbff"
hostCPUID.80000001 = "00000000000000000000000120100800"
guestCPUID.80000001 = "00000000000000000000000120100800"
userCPUID.80000001 = "00000000000000000000000120100800"
evcCompatibilityMode = "FALSE"

sched.scsi0:0.shares = "normal"
floppy0.fileName = "/dev/fd0"

scsi0.present = "TRUE"
scsi0:0.present = "TRUE"

scsi0.sharedBus = "none"
scsi0.virtualDev = "lsilogic"
scsi0:0.fileName = "rhel5u4-local-000001.vmdk"
scsi0:0.deviceType = "scsi-hardDisk"

scsi0:0.redo = ""
scsi0.pciSlotNumber = "16"



Version-Release number of selected component (if applicable):
virt-v2v-0.6.0.3, 
v2v-libvirt-0.8.1-2.el5
libguestfs-tools-1.2.7-1.el5.3
libguestfs-1.2.7-1.el5.3


How reproducible:


Steps to Reproduce:
1,make sure you get a ESX vm with a snapshot,
2,convert the vm with following command,
virt-v2v -f /etc/virt-v2v.conf  -ic esx://10.66.65.108/?no_verify=1  -o rhev -osd  10.66.90.115:/vol/v2vrwu/rwuv2v  ***
  
Actual results:
fail to convert, and with a misleading error message,

Expected results:
convert the flat storage success without transfer the snapshot storage,


Additional info:
Comment 1 Matthew Booth 2010-06-07 09:00:59 EDT
Fix posted: https://www.redhat.com/archives/libguestfs/2010-June/msg00057.html
Comment 2 Matthew Booth 2010-06-08 13:34:44 EDT
Fixed in 0.6.0-4.el5
Comment 3 Mohua Li 2010-06-09 06:49:55 EDT
retest this on virt-v2v-0.6.0.5, convert the guest with snapshots successfully without error, import the vm, the network, display, disk etc is ok,so it's ok to change the status to verified,


/vmfs/volumes/4bc2a849-50805e00-0f2c-0023ae9d846f/test_v2v # ls -lrt
-rw-r--r--    1 root     root              65785 Jun  4 06:59 vmware-1.log
-rw-r--r--    1 root     root              64796 Jun  4 07:24 vmware-2.log
-rw-------    1 root     root         2147483648 Jun  4 09:25 test_v2v-flat.vmdk
-rw-r--r--    1 root     root              62404 Jun  4 09:26 vmware-3.log
-rw-------    1 root     root         2147483648 Jun  7 01:59 test_v2v_1-flat.vmdk
-rw-r--r--    1 root     root              66168 Jun  7 02:45 vmware-4.log
-rw-r--r--    1 root     root              64636 Jun  7 02:52 vmware-5.log
-rw-------    1 root     root                447 Jun  9 06:41 test_v2v_1.vmdk
-rw-------    1 root     root                445 Jun  9 06:41 test_v2v.vmdk
-rw-r--r--    1 root     root                 13 Jun  9 06:41 test_v2v-aux.xml
-rw-------    1 root     root                263 Jun  9 06:47 test_v2v.vmxf
-rw-r--r--    1 root     root              64269 Jun  9 08:25 vmware-6.log
-rw-------    1 root     root                475 Jun  9 08:53 rhel5u4-local.vmdk
-rw-------    1 root     root        10737418240 Jun  9 09:11 rhel5u4-local-flat.vmdk
-rw-------    1 root     root               8684 Jun  9 09:11 test_v2v.nvram
-rw-r--r--    1 root     root              64700 Jun  9 09:11 vmware.log
-rw-------    1 root     root                300 Jun  9 09:58 test_v2v_1-000001.vmdk
-rw-------    1 root     root               6144 Jun  9 09:58 test_v2v_1-000001-delta.vmdk
-rw-------    1 root     root              29131 Jun  9 09:58 test_v2v-Snapshot7.vmsn
-rw-------    1 root     root                296 Jun  9 09:58 test_v2v-000001.vmdk
-rw-------    1 root     root               6144 Jun  9 09:58 test_v2v-000001-delta.vmdk
-rw-------    1 root     root                307 Jun  9 09:58 rhel5u4-local-000001.vmdk
-rw-------    1 root     root              22528 Jun  9 09:58 rhel5u4-local-000001-delta.vmdk
-rw-------    1 root     root                307 Jun  9 09:58 test_v2v_1-000002.vmdk
-rw-------    1 root     root               6144 Jun  9 09:58 test_v2v_1-000002-delta.vmdk
-rw-------    1 root     root              29152 Jun  9 09:58 test_v2v-Snapshot8.vmsn
-rw-------    1 root     root                303 Jun  9 09:58 test_v2v-000002.vmdk
-rw-------    1 root     root               6144 Jun  9 09:58 test_v2v-000002-delta.vmdk
-rw-------    1 root     root                314 Jun  9 09:58 rhel5u4-local-000002.vmdk
-rw-------    1 root     root              22528 Jun  9 09:58 rhel5u4-local-000002-delta.vmdk
-rw-------    1 root     root                307 Jun  9 09:58 test_v2v_1-000003.vmdk
-rw-------    1 root     root               6144 Jun  9 09:58 test_v2v_1-000003-delta.vmdk
-rw-------    1 root     root              29152 Jun  9 09:58 test_v2v-Snapshot9.vmsn
-rw-------    1 root     root                303 Jun  9 09:58 test_v2v-000003.vmdk
-rw-------    1 root     root               6144 Jun  9 09:58 test_v2v-000003-delta.vmdk
-rw-------    1 root     root                314 Jun  9 09:58 rhel5u4-local-000003.vmdk
-rw-------    1 root     root              22528 Jun  9 09:58 rhel5u4-local-000003-delta.vmdk
-rw-------    1 root     root                307 Jun  9 09:59 test_v2v_1-000004.vmdk
-rw-------    1 root     root               6144 Jun  9 09:59 test_v2v_1-000004-delta.vmdk
-rwxr-xr-x    1 root     root               3668 Jun  9 09:59 test_v2v.vmx
-rw-------    1 root     root               2124 Jun  9 09:59 test_v2v.vmsd
-rw-------    1 root     root              29152 Jun  9 09:59 test_v2v-Snapshot10.vmsn
-rw-------    1 root     root                303 Jun  9 09:59 test_v2v-000004.vmdk
-rw-------    1 root     root               6144 Jun  9 09:59 test_v2v-000004-delta.vmdk
-rw-------    1 root     root                314 Jun  9 09:59 rhel5u4-local-000004.vmdk
-rw-------    1 root     root              22528 Jun  9 09:59 rhel5u4-local-000004-delta.vmdk



steps,
1,convert the guest with snapshot with following command,

[root@dhcp-66-70-148 v2v]# virt-v2v -f /etc/virt-v2v.conf  -ic
esx://10.66.65.108/?no_verify=1  -o rhev -osd  10.66.90.115:/vol/v2vrwu/rwuv2v 
test-v2v
2,import the vm, and check the vm, 

actual result,
convert the guest with snapshot successfully, and check the imported vm, the feature like network, display, disk, etc is ok,
Comment 4 Rita Wu 2010-06-09 06:51:48 EDT
Set it as VERIFIED according to comment 3
Comment 7 errata-xmlrpc 2010-06-22 08:48:53 EDT
An advisory has been issued which should help the problem
described in this bug report. This report is therefore being
closed with a resolution of ERRATA. For more information
on therefore solution and/or where to find the updated files,
please follow the link below. You may reopen this bug report
if the solution does not work for you.

http://rhn.redhat.com/errata/RHEA-2010-0495.html

Note You need to log in before you can comment on or make changes to this bug.